Bug 961063 - i8k service and fan speed with Dell laptop
i8k service and fan speed with Dell laptop
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: i8kutils (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 13:00 EDT by gholafox
Modified: 2014-02-05 16:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:17:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
i8kmon service script from Debian (in /etc/init.d) (1.85 KB, application/octet-stream)
2013-05-08 13:00 EDT, gholafox
no flags Details

  None (edit)
Description gholafox 2013-05-08 13:00:01 EDT
Created attachment 745320 [details]
i8kmon service script from Debian (in /etc/init.d)

Hi there,

First, the problem seem to be related with this issue:
https://bugzilla.redhat.com/show_bug.cgi?id=842179

I have a Dell laptop: Inspiron 15R SE (7520) which is powered by a Fedora 18 with the kernel 3.8.11-200.fc18.x86_64

I would like to use the i8kutils package to let a service to regulate the speed of the fan of the laptop but, when I read the "service" script of i8k in /etc/init.d/i8k, there is nothing which launch i8kmon. Only i8kbuttons.

In fact, I thought the i8k service script would be like a Debian-one...

Oh, and why don't you split the i8kutils package to avoid to install GKrellm and the i8k plugin for it?

I attached the i8kmon service script from Debian.

Thank you
Comment 1 Vitor 2013-10-19 20:06:26 EDT
Hi,

in fact i8kmon at "/etc/init.d" is already the service for i8kutils. Once loaded, it controls the fan speed automatically. At debian, it is only to do '# sudo service i8kmon start'.

The latest package with bug fixes is hosted at the link below

https://launchpad.net/i8kutils

It is not specifically being developed for Fedora, but I think you can use the tar.gz file.

In the next releases, a version might be released without GKrellm and any other thing; just to control fan speed.
Comment 2 Fedora End Of Life 2013-12-21 08:27:01 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 16:17:10 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.